package com.its.vds.xnettcp.center.protocol;

import java.nio.ByteBuffer;
import java.nio.ByteOrder;

public class CenterResProtocol {

    public static ByteBuffer getResponse(byte opCode, byte result) {
        int length = 0;
        ByteBuffer byteBuffer = ByteBuffer.allocate(10);
        byteBuffer.order(ByteOrder.BIG_ENDIAN);
        byteBuffer.put((byte)CenterProtocol.INT_ID_RSE_SERVER); // 송신시스템-운영단말
        byteBuffer.put((byte)CenterProtocol.INT_ID_RSE_OPER); // 수신시스템-RSE 서버
        byteBuffer.put((byte)0x01);     // 전체프레임개수
        byteBuffer.put((byte)0x01);     // 현재프레임번호
        byteBuffer.put(result);         // Reserved
        byteBuffer.put(opCode);         // OP Code
        byteBuffer.putInt(length);      // 데이터 길이

        return byteBuffer;
    }

}
